Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QTextDrag

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QTextDrag class reference

### Public Functions

- QTextDrag ( const QString & text, QWidget * dragSource, const char * name ) `(obsolete)`
- QTextDrag ( QWidget * dragSource, const char * name ) `(obsolete)`

## Member Function Documentation

### QTextDrag::QTextDrag ( const QString & text, QWidget * dragSource, const char * name )

Constructs a text drag object with the given name, and sets its data to text. The dragSource is the widget that the drag operation started from.

### QTextDrag::QTextDrag ( QWidget * dragSource, const char * name )

Constructs a default text drag object with the given name. The dragSource is the widget that the drag operation started from.